Bug 110269 - [CI][SHARDS] igt@gem_exec_big@single - WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
Summary: [CI][SHARDS] igt@gem_exec_big@single - WARNING: Warning on condition gem_relo...
Status: RESOLVED FIXED
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/Intel (show other bugs)
Version: XOrg git
Hardware: Other All
: high normal
Assignee: Intel GFX Bugs mailing list
QA Contact: Intel GFX Bugs mailing list
URL:
Whiteboard: ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-28 11:44 UTC by Martin Peres
Modified: 2019-04-08 10:57 UTC (History)
1 user (show)

See Also:
i915 platform: GLK, KBL
i915 features: GEM/Other


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Peres 2019-03-28 11:44:18 UTC
https://intel-gfx-ci.01.org/tree/drm-tip/IGT_4905/shard-kbl1/igt@gem_exec_big@single.html

	

Starting subtest: single
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
(gem_exec_big:1032) WARNING: Warning on condition gem_reloc[n].presumed_offset == -1 in function execN, file ../tests/i915/gem_exec_big.c:173
Ad lib...
Comment 2 CI Bug Log 2019-03-28 12:38:06 UTC
The CI Bug Log issue associated to this bug has been updated.

### New filters associated

* KBL: igt@runner@aborted - fail - Previous test: gem_exec_big (single)
  - https://intel-gfx-ci.01.org/tree/drm-tip/CI_DRM_5817/shard-kbl4/igt@runner@aborted.html
Comment 3 Francesco Balestrieri 2019-04-01 06:59:19 UTC
Should be fixed by https://patchwork.freedesktop.org/series/58670/
Comment 4 Francesco Balestrieri 2019-04-01 07:00:30 UTC
> Should be fixed by https://patchwork.freedesktop.org/series/58670/

Once it's merged...
Comment 5 Chris Wilson 2019-04-04 11:27:47 UTC
commit 014a6fa238322b497116b359cb92df1ce7fa8847 (HEAD, upstream/master)
Author: Chris Wilson <chris@chris-wilson.co.uk>
Date:   Thu Mar 28 11:49:25 2019 +0000

    i915/gem_exec_big: Only warn for the first sign of a pagefault
    
    We only need the warning once, not for the several thousand relocations
    we try. The current execbuf implementation will set all presumed_offset
    to -1 so this loop should quit on the first entry if we hit the
    pagefault, but for the sake of completeness check all.
    
    Bugzilla: https://bugs.freedesktop.org/show_bug.cgi?id=110269
    Signed-off-by: Chris Wilson <chris@chris-wilson.co.uk>
    Reviewed-by: Tvrtko Ursulin <tvrtko.ursulin@intel.com>
Comment 6 CI Bug Log 2019-04-08 10:57:19 UTC
The CI Bug Log issue associated to this bug has been archived.

New failures matching the above filters will not be associated to this bug anymore.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.